// ------------------------------------------------------------------
// Consulta status do serviço da NFCom
// ------------------------------------------------------------------
unit ConsultarStatusNFCom;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, ComObj, Dialogs;

type
  TConsultarStatusNFCom = class
  private

  public
    procedure Executar;
  end;

implementation

procedure TConsultarStatusNFCom.Executar;
var
  // Declarar objetos
  oConfiguracao: olevariant;
  oConsStatServNFCom: olevariant;
  oStatusServico: olevariant;
  oExceptionInterop: olevariant;

begin
  // Criar objeto de configuração mínima

  //Criar objeto do XML

  //Resgatar algumas informações do objeto do XML
  ShowMessage(oConsStatServNFCom.TpAmb);
  ShowMessage(oConsStatServNFCom.Versao);

  //Criar objeto para pegar exceção do lado do CSHARP
  oExceptionInterop := CreateOleObject('Unimake.Exceptions.ThrowHelper');

  try

  except
    //Demostrar a exceção
    ShowMessage(oExceptionInterop.GetMessage());
    ShowMessage(IntToStr(oExceptionInterop.GetErrorCode()));
  end;
end;

end.
